> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses workflowstemplatesvendor based



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/workflows/templates/vendor-based
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/workflows/templates/vendor-based:
    post:
      tags:
        - Workflow
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoliciesCreateVendorBasedWorkflowRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/PoliciesCreateVendorBasedWorkflowRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/PoliciesCreateVendorBasedWorkflowRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    PoliciesCreateVendorBasedWorkflowRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        entityType:
          type: string
          nullable: true
        priority:
          type: integer
          format: int32
          nullable: true
        allowedVendors:
          type: array
          items:
            type: string
          nullable: true
        blockedVendors:
          type: array
          items:
            type: string
          nullable: true
        allowedVendorIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        blockedVendorIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        actions:
          type: array
          items:
            $ref: '#/components/schemas/PoliciesWorkflowActionRequest'
          nullable: true
      additionalProperties: false
    PoliciesWorkflowActionRequest:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        reason:
          type: string
          nullable: true
        priority:
          type: string
          nullable: true
        notifySubmitter:
          type: boolean
          nullable: true
        timeoutMinutes:
          type: integer
          format: int32
          nullable: true
        requiredApprovers:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        escalateToUserIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        escalateToRoles:
          type: array
          items:
            type: string
          nullable: true
        delayMinutes:
          type: integer
          format: int32
          nullable: true
        minAmount:
          type: number
          format: double
          nullable: true
        category:
          type: string
          nullable: true
        targetCategory:
          type: string
          nullable: true
        overrideExisting:
          type: boolean
          nullable: true
      additionalProperties: false

````